#ifndef _Tmymaterialhelper_H_
#define _Tmymaterialhelper_H_

enum
{
	MATERIAL	= 1001,
	MAT_TYPE	= 1002,
	DIFFUSE		= 1003,
	PHONG		= 1004,
	SPECULAR	= 1005,
	GLOSSY_TRANSPARENT	= 1006,
	DIFFUSE_COLOR	= 1007,
	PHONG_COLOR	= 1008,
	PHONG_IOR	= 1009,
	PHONG_EXPONENT	= 1010,
	SPECULAR_TRANSP	= 1011,

	//MEDIUM
	ID_INTERNALMEDIUM	= 1013,
	MEDIUM_TYPE		= 1016,
	BASIC			= 1017,
	DERMIS			= 1018,
	EPIDERMIS		= 1019,
	PRECEDENCE		= 1020,
	IOR				= 1021,
	CAUCHY_B		= 1022,

	//absorption
	ABSORPTION_SPECTRUM	= 1023,
	A_RGB			= 1024,
	A_UNIFORM		= 1025,
	ABSORPTION_RGB	= 1026,
	ABSORPTION_UNIFORM	= 1027,

	//scattering
	SCATTERING_SPECTRUM	= 1028,
	S_RGB			= 1029,
	S_UNIFORM		= 1030,
	SCATTERING_RGB	= 1031,
	SCATTERING_UNIFORM	= 1032,
	PHASE_FUNCTION	= 1033,
	UNIFORM			= 1034,
	HENYEY_GREENSTEIN	= 1035,

	//DERMIS
	HEMOGLOBIN_FRACTION	= 1041,

	//EPIDERMIS
	MELANIN_FRACTION	= 1042,
	MELANIN_TYPE_BLEND	= 1043,

	USE_NK			= 1036,
	NK_NAME			= 1037,

	GLOSSY_TRANSP	= 1040,
	GLOSSY_EXPONENT	= 1038,

	PHASE_UNIFORM	= 1039,

	TEXTURE_EXP		= 1044,

	BUMP_EXP		= 1045,
	BUMP_SIZE		= 1046,

	SSS_SWITCH		= 1047,

	DIFFUSE_TRANS	= 1048,

	TRANS_COLOR		= 1049,

	ID_DIFFUSE		= 1051,
	ID_PHONG		= 1052,
	ID_SPECULAR		= 1053,
	ID_GLOSSY		= 1054,
	ID_DIFFUSETRANS	= 1055,
	ID_BLEND		= 1056,

	MATERIAL1		= 1057,
	MATERIAL2		= 1058,
	BLEND_MAP		= 1059,
	BLEND_FACTOR	= 1060,
	ALPHA_MAP		= 1062,

	BLEND_MATERIAL	= 1063,

	ID_BASIC		= 1064,
	ID_DERMIS		= 1065,
	ID_EPIDERMIS	= 1066,

	ID_SSS			= 1067,
};

#endif



